Bug 1900759 - include qemu-guest-agent by default
Summary: include qemu-guest-agent by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Micah Abbott
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1820141
TreeView+ depends on / blocked
 
Reported: 2020-11-23 16:41 UTC by Colin Walters
Modified: 2021-08-30 12:14 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Inclusion of the qemu-guest-agent in RHCOS Reason: The qemu-guest-agent can report useful information about RHCOS back to the RHV management interface. Result: RHV administrators are now able to see rich information about RHCOS nodes.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:35:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift os pull 451 0 None closed manifest: Add qemu-guest-agent 2021-02-15 22:49:42 UTC
Red Hat Knowledge Base (Solution) 5118141 0 None None None 2021-01-06 02:56:38 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:35:55 UTC

Description Colin Walters 2020-11-23 16:41:58 UTC
Migrating this from https://github.com/openshift/machine-config-operator/pull/2042

Basically MCO is buried in PRs and shipping it in RHCOS by default mirrors what we do for the vmware agent today.  This is important for RHV and will help with a lot of bugs.

I think OKD will also do the same.  Not proposing we ship it in base FCOS at this time.

We need to be sure that there's no conflict with afterburn.

Comment 1 Luca BRUNO 2020-11-23 16:53:49 UTC
> We need to be sure that there's no conflict with afterburn.

As far as I cant tell, there is no conflict right now with Afterburn.

And from what I can foresee, there is likely no concern for the future too because:
 * we are currently thinking of using the oVirt virtio device from Afterburn for first-boot check-in in initramfs. To my understanding, the guest agent runs later than that, in the real rootfs, so they won't conflict over the same resource at the same.
 * Afterburn logic is oneshot. If we want to add more oVirt-related logic we can always ensure that its relevant service units are completed before starting the long-running oVirt or QEMU agents.

Comment 3 Micah Abbott 2020-12-02 16:23:51 UTC
The `qemu-agent` was added to RHCOS in this PR - https://github.com/openshift/os/pull/451

We need to bump the submodule in our GitLab repo - https://gitlab.cee.redhat.com/coreos/redhat-coreos/-/merge_requests/1187

Comment 5 Evgeny Slutsky 2020-12-07 09:42:00 UTC
tested with release openshift-install-linux-4.7.0-0.nightly-2020-12-04-013308 and oVirt 4.4.2.6

the IP address is reported back to oVirt without any manual intervention.

Comment 6 Michael Nguyen 2020-12-07 18:01:56 UTC
Closing as verified based on  https://bugzilla.redhat.com/show_bug.cgi?id=1900759#c5

Comment 8 Sandro Bonazzola 2021-02-09 08:30:04 UTC
Can we align FCOS with RHCOS on this? It will make it easier to get oVirt support working on OKD and will give more valuable community feedback

Comment 9 Micah Abbott 2021-02-10 00:18:05 UTC
(In reply to Sandro Bonazzola from comment #8)
> Can we align FCOS with RHCOS on this? It will make it easier to get oVirt
> support working on OKD and will give more valuable community feedback

You can submit an issue to the FCOS issue tracker asking to include the agent - https://github.com/coreos/fedora-coreos-tracker/issues

Though there is a long history of not providing agents in the base OS:

https://github.com/coreos/fedora-coreos-tracker/search?q=no+cloud+agents&type=issues

Comment 10 Christian Glombek 2021-02-19 13:54:36 UTC
FWIW qemu-guest-agent is included in OKD as an extension that is installed by default: https://github.com/openshift/okd-machine-os/blob/8e7e3bee02b1e00ba589564c8729112519469db1/manifests/0000_80_machine-config-operator_05_1_okd-master-extensions.yaml#L14

Comment 12 errata-xmlrpc 2021-02-24 15:35:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.